Package org.gradle.api.plugins.antlr

# Class AntlrTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.SourceTask
org.gradle.api.plugins.antlr.AntlrTask

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `PatternFilterable`, `org.gradle.util.Configurable<Task>`

public class AntlrTask extends SourceTask
Generates parsers from Antlr grammars.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Task

`Task.Namer`

## Field Summary

### Fields inherited from class org.gradle.api.tasks.SourceTask

`source`

### Fields inherited from interface org.gradle.api.Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`AntlrTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(IncrementalTaskInputs inputs)`
`FileCollection`
`getAntlrClasspath()`
Returns the classpath containing the Ant ANTLR task implementation.
`List<String>`
`getArguments()`
List of command-line arguments passed to the antlr process
`String`
`getMaxHeapSize()`
The maximum heap size for the forked antlr process (ex: '1g').
`File`
`getOutputDirectory()`
Returns the directory to generate the parser source files into.
`FileTree`
`getSource()`
Returns the source for this task, after the include and exclude patterns have been applied.
`protected org.gradle.process.internal.worker.WorkerProcessFactory`
`getWorkerProcessBuilderFactory()`
`boolean`
`isTrace()`
Specifies that all rules call `traceIn`/`traceOut`.
`boolean`
`isTraceLexer()`
Specifies that all lexer rules call `traceIn`/`traceOut`.
`boolean`
`isTraceParser()`
Specifies that all parser rules call `traceIn`/`traceOut`.
`boolean`
`isTraceTreeWalker()`
Specifies that all tree walker rules call `traceIn`/`traceOut`.
`protected void`
`setAntlrClasspath(FileCollection antlrClasspath)`
Specifies the classpath containing the Ant ANTLR task implementation.
`void`
`setArguments(List<String> arguments)`
`void`
`setMaxHeapSize(String maxHeapSize)`
`void`
`setOutputDirectory(File outputDirectory)`
Specifies the directory to generate the parser source files into.
`void`
`setSource(Object source)`
Sets the source for this task.
`void`
`setSource(FileTree source)`
Sets the source for this task.
`void`
`setTrace(boolean trace)`
`void`
`setTraceLexer(boolean traceLexer)`
`void`
`setTraceParser(boolean traceParser)`
`void`
`setTraceTreeWalker(boolean traceTreeWalker)`

### Methods inherited from class org.gradle.api.tasks.SourceTask

`exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, include, include, include, include, setExcludes, setIncludes, source`

### Methods inherited from class org.gradle.api.internal.ConventionTask

`conventionMapping, conventionMapping, getConventionMapping`

### Methods inherited from class org.gradle.api.DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AntlrTask

public AntlrTask()

## Method Details

### isTrace

@Input public boolean isTrace()
Specifies that all rules call `traceIn`/`traceOut`.

### setTrace

public void setTrace(boolean trace)

### isTraceLexer

@Input public boolean isTraceLexer()
Specifies that all lexer rules call `traceIn`/`traceOut`.

### setTraceLexer

public void setTraceLexer(boolean traceLexer)

### isTraceParser

@Input public boolean isTraceParser()
Specifies that all parser rules call `traceIn`/`traceOut`.

### setTraceParser

public void setTraceParser(boolean traceParser)

### isTraceTreeWalker

@Input public boolean isTraceTreeWalker()
Specifies that all tree walker rules call `traceIn`/`traceOut`.

### setTraceTreeWalker

public void setTraceTreeWalker(boolean traceTreeWalker)

### getMaxHeapSize

@Optional @Input public String getMaxHeapSize()
The maximum heap size for the forked antlr process (ex: '1g').

### setMaxHeapSize

public void setMaxHeapSize(String maxHeapSize)

### setArguments

public void setArguments(List<String> arguments)

### getArguments

@Input public List<String> getArguments()
List of command-line arguments passed to the antlr process

Returns:
  The antlr command-line arguments

### getOutputDirectory

@OutputDirectory public File getOutputDirectory()
Returns the directory to generate the parser source files into.

Returns:
  The output directory.

### setOutputDirectory

public void setOutputDirectory(File outputDirectory)
Specifies the directory to generate the parser source files into.

Parameters:
  `outputDirectory` - The output directory. Must not be null.

### getAntlrClasspath

@Classpath public FileCollection getAntlrClasspath()
Returns the classpath containing the Ant ANTLR task implementation.

Returns:
  The Ant task implementation classpath.

### setAntlrClasspath

protected void setAntlrClasspath(FileCollection antlrClasspath)
Specifies the classpath containing the Ant ANTLR task implementation.

Parameters:
  `antlrClasspath` - The Ant task implementation classpath. Must not be null.

### getWorkerProcessBuilderFactory

@Inject protected org.gradle.process.internal.worker.WorkerProcessFactory getWorkerProcessBuilderFactory()

### execute

public void execute(IncrementalTaskInputs inputs)

### setSource

public void setSource(FileTree source)
Sets the source for this task. Delegates to `setSource(Object)`. If the source is of type `SourceDirectorySet`, then the relative path of each source grammar files is used to determine the relative output path of the generated source If the source is not of type `SourceDirectorySet`, then the generated source files end up flattened in the specified output directory.

Overrides:
  `setSource` in class `SourceTask`
Parameters:
  `source` - The source.
Since:
  4.0

### setSource

public void setSource(Object source)
Sets the source for this task. Delegates to `SourceTask.setSource(Object)`. If the source is of type `SourceDirectorySet`, then the relative path of each source grammar files is used to determine the relative output path of the generated source If the source is not of type `SourceDirectorySet`, then the generated source files end up flattened in the specified output directory.

Overrides:
  `setSource` in class `SourceTask`
Parameters:
  `source` - The source.

### getSource

@InputFiles @SkipWhenEmpty public FileTree getSource()
Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.

Overrides:
  `getSource` in class `SourceTask`
Returns:
  The source.